using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;

namespace TileViewSamples
{
    public static class Strings
    {
        private static ResourceLoader _loader = ResourceLoader.GetForCurrentView("TileViewSamplesLib/Resources");

        public static string SessionStateKeyErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateKeyErrorMessage");
            }
        }

        public static string SessionStateErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateErrorMessage");
            }
        }

        public static string SuspensionManagerErrorMessage
        {
            get
            {
                return _loader.GetString("SuspensionManagerErrorMessage");
            }
        }

        public static string UniqueIdItemsArgumentException
        {
            get
            {
                return _loader.GetString("UniqueIdItemsArgumentException");
            }
        }

        public static string DashBoardTitle
        {
            get
            {
                return _loader.GetString("DashBoardTitle");
            }
        }

        public static string DashBoardDescription
        {
            get
            {
                return _loader.GetString("DashBoardDescription");
            }
        }

        public static string DashBoardName
        {
            get
            {
                return _loader.GetString("DashBoardName");
            }
        }

        public static string CustomLookTitle
        {
            get
            {
                return _loader.GetString("CustomLookTitle");
            }
        }

        public static string CustomLookDescription
        {
            get
            {
                return _loader.GetString("CustomLookDescription");
            }
        }

        public static string CustomLookName
        {
            get
            {
                return _loader.GetString("CustomLookName");
            }
        }

        public static string AmazonBooksTitle
        {
            get
            {
                return _loader.GetString("AmazonBooksTitle");
            }
        }

        public static string AmazonBooksDescription
        {
            get
            {
                return _loader.GetString("AmazonBooksDescription");
            }
        }

        public static string AmazonBooksName
        {
            get
            {
                return _loader.GetString("AmazonBooksName");
            }
        }

        public static string VirtualizationTitle
        {
            get
            {
                return _loader.GetString("VirtualizationTitle");
            }
        }

        public static string VirtualizationDescription
        {
            get
            {
                return _loader.GetString("VirtualizationDescription");
            }
        }

        public static string VirtualizationName
        {
            get
            {
                return _loader.GetString("VirtualizationName");
            }
        }

        public static string InitializationException
        {
            get
            {
                return _loader.GetString("InitializationException");
            }
        }
    }
}
